repos:
  - repo: https://github.com/pre-commit/pre-commit-hooks
    rev: v5.0.0
    hooks:
      - id: check-added-large-files
      - id: no-commit-to-branch
        args: ["--branch", "main"]
  - repo: https://github.com/PyCQA/isort
    rev: 5.12.0
    hooks:
      - id: isort
        args: ["--profile", "black"]
  - repo: https://github.com/psf/black
    rev: 23.3.0
    hooks:
      - id: black
  - repo: https://github.com/PyCQA/flake8
    rev: "6.0.0"
    hooks:
      - id: flake8
        args: ["--max-line-length=88", "--extend-ignore=E203"]
  - repo: https://github.com/Riverside-Healthcare/djLint
    rev: v1.23.3
    hooks:
      - id: djlint-django
        args: ["--reformat", "--lint", "--quiet"]
  - repo: https://github.com/pre-commit/mirrors-prettier
    rev: "v3.0.0-alpha.6"
    hooks:
      - id: prettier
        types_or: ["css", "javascript", "svg"]
